---
title: NamedNodeMap.getNamedItem()
slug: Web/API/NamedNodeMap/getNamedItem
tags:
  - DOM
  - Method
  - NamedNodeMap
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p>The <code><strong>getNamedItem()</strong></code> method of the {{domxref("NamedNodeMap")}} interface returns the {{domxref("Attr")}} corresponding to the given name, or null if there is no corresponding attribute.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>myAttr</em> = attrs.getNamedItem(<em>name</em>)</pre>

<h3 id="Parameters">Parameters</h3>

<ul>
 <li><code>name</code> is the name of the desired attribute</li>
</ul>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NamedNodeMap.getNamedItem")}}</p>
